Mailinglist Archive: opensuse-bugs (4203 mails)

< Previous Next >
[Bug 739222] New: Amanda is not running with the correct permissions behind xinetd
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 2 Jan 2012 22:58:09 +0000
  • Message-id: <bug-739222-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=739222

https://bugzilla.novell.com/show_bug.cgi?id=739222#c0


Summary: Amanda is not running with the correct permissions
behind xinetd
Classification: openSUSE
Product: openSUSE 11.4
Version: Final
Platform: x86-64
OS/Version: openSUSE 11.4
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Other
AssignedTo: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: dihewo@xxxxxx
QAContact: qa@xxxxxxx
Found By: ---
Blocker: ---


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:7.0.1) Gecko/20100101
Firefox/7.0.1

I had amanda configured, so the user had group amanda and additional groups
disk and tape. Amanda is using root-dump on the disks, if that matters. When
running amcheck, I got permission errors on the partitions. The problem was,
that xinetd did not set the additional groups by default. I had to add the
groups = yes statement in the amanda config file for xinetd, then it worked.

Reproducible: Always

Steps to Reproduce:
1. Do a fresh install of amanda
2. Configure disklist to dump a partition with root-dump.
3. Run amcheck <configuration>
Actual Results:
ERROR: <host>: Could not access /dev/mapper/vg-lv: Permission denied

Expected Results:
No error message

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >